Skip to navigation

Responses

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

Generated from CreateResponse plus Sikaru extensions; unknown fields are rejected.

modelstringRequired
streamfalseRequired
access_programsmap from strings to any or nullOptional
backgroundboolean or nullOptional
context_managementlist of maps from strings to any or nullOptional
conversationstring or map from strings to any or nullOptional
includelist of strings or nullOptional
inputstring or list of maps from strings to any or nullOptional
instructionsstring or nullOptional
max_output_tokensinteger or nullOptional
max_tool_callsinteger or nullOptional
metadatamap from strings to any or nullOptional
modelslist of strings or nullOptional
moderationmap from strings to any or nullOptional
parallel_tool_callsboolean or nullOptional
previous_response_idstring or nullOptional<=16384 characters
promptmap from strings to any or nullOptional
prompt_cache_keystring or nullOptional<=1024 characters
prompt_cache_optionsmap from strings to any or nullOptional
prompt_cache_retentionstring or nullOptional
providermap from strings to any or nullOptional
reasoningmap from strings to any or nullOptional
routestring or nullOptional
safety_identifierstring or nullOptional<=128 characters
service_tierstring or nullOptional
storeboolean or nullOptional
stream_optionsmap from strings to any or nullOptional
temperaturedouble or nullOptional0-2
textmap from strings to any or nullOptional
tool_choicestring or map from strings to any or nullOptional
toolslist of maps from strings to any or nullOptional
top_logprobsinteger or nullOptional0-20
top_pdouble or nullOptional0-1
transformslist of strings or nullOptional
truncationstring or nullOptional
usagemap from strings to any or nullOptional
userstring or nullOptional

Response

idstring
objectstring
completed_atdouble or nullOptional
created_atdouble or nullOptional
errormap from strings to any or nullOptional
incomplete_detailsmap from strings to any or nullOptional
instructionsstring or list of maps from strings to any or nullOptional
max_output_tokensinteger or nullOptional
max_tool_callsinteger or nullOptional
modelstring or nullOptional
outputlist of maps from strings to any or nullOptional
output_textstring or nullOptional
parallel_tool_callsboolean or nullOptional
reasoningmap from strings to any or nullOptional
statusstring or nullOptional
temperaturedouble or nullOptional
textmap from strings to any or nullOptional
tool_choicestring or map from strings to any or nullOptional
toolslist of maps from strings to any or nullOptional
top_logprobsinteger or nullOptional
top_pdouble or nullOptional
truncationstring or nullOptional
usageobject or nullOptional

Public Response fields at this level (RESPONSE_USAGE_FIELDS); the projection omits the rest.